Bug 118079 - 2 * used before set
Summary: 2 * used before set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-11 20:04 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.14.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 05:12:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-11 20:04:40 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package gnome-vfs2-2.5.6-1

The compiler said

1.

smb-method.c(910): remark #592: variable "real_username" is used
before its value is set

The source code is

                        strncpy (username_out, real_username, unmaxlen);

Suggest init real_username before first use.

2.

smb-method.c(913): remark #592: variable "real_domain" is used before
its value

The source code is

                        strncpy (domain_out, real_domain, domainmaxlen);

Suggest init real_domain before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2004-03-12 08:59:24 UTC
Fixed upstream.



Note You need to log in before you can comment on or make changes to this bug.